Subject: Re: Execute "strace" on an executable in GNU make?
From: Fred Yankowski <[email-masked]>
To: "Karr, David" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 1 May 2001 09:18:22 -0500

A spurious environment variable value might cause such a problem.
Check the value of SHELL in particular.  You might try whittling down
your environment to a bare minimum -- perhaps just PATH and HOME -- as
a quick check.

On Mon, Apr 30, 2001 at 05:22:13PM -0700, Karr, David wrote:
> Sigh.  Yes, that is the case.  Ok, so "strace" won't help me.  Is there any
> other information I can gather on this situation?  It just will not run from
> within Make, no matter how I coerce it.  It always fails immediately with
> "Invalid Argument", even before getting to "main".

-- 
Fred Yankowski           [email-masked]      tel: +1.630.879.1312
Principal Consultant     www.OntoSys.com       fax: +1.630.879.1370
OntoSys, Inc             38W242 Deerpath Rd, Batavia, IL 60510, USA

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple